## gnome-shell 2.31.5

=== debian/changelog ===
gnome-shell (2.31.5-2ubuntu2) maverick; urgency=low

  * Fix gnome-shell to set LD_LIBRARY_PATH so that libmozjs can be found;
    Don't use pkg-config, use xulrunner-1.9.2 to figure out the path to
    libmozjs (LP: #576991) (LP: #629828)
    - update debian/patches/04_workaround_libmozjs_build.patch
  * Drop binary depends on pkg-config and replace with xulrunner-1.9.2;
    xulrunner-1.9.2 is already pulled in by the depends in any case, but
    now it's needed directly by gnome-shell
    - update debian/control.in
 
 -- Micah Gersten <micahg@ubuntu.com>  Sat, 04 Sep 2010 21:00:09 -0500

gnome-shell (2.31.5-2ubuntu1) maverick; urgency=low

  * Merge from debian experimental. Remaining changes:
    - debian/patches/04_workaround_libmozjs_build.patch:
      + workaround build issues due to libmozjs not being installed as a lib
  * Drop debian/patches/01_favorite_apps.diff: Keep firefox as default browser

 -- Laurent Bigonville <bigon@ubuntu.com>  Mon, 16 Aug 2010 21:24:15 +0200

gnome-shell (2.31.5-2) experimental; urgency=low

  * debian/control:
  - depend and build-depend on gir1.0-glib-2.0 (>= 0.6.15~git20100713)
  - also depend on gjs, because the clock preferences uses gjs-console for
    some reason

 -- Gustavo Noronha Silva <kov@debian.org>  Wed, 28 Jul 2010 11:45:06 +0200

gnome-shell (2.31.5-1) experimental; urgency=low

  * New development release.
  - depend on mutter 2.31.5
  - refresh patches
  - fixes requirements on mutter (Closes: #586124)
  * debian/control.in:
  - Build-depend on glib >= 2.25.11-1 because we use glib-compile-schemas
  - Build-depend on gtk+ >= 2.21.1
  - Build-depend on gobject-introspection >= 0.6.15~git20100713-1 because
    we need newer glib bindings
  - Build-depend on gir1.0-json-glib-1.0 (Closes: #584660), thanks to
    Raphael Hertzog for pointing out the fix
  - gnome-shell depends on gir1.0-gconf-2.0 >= 2.31.5 to run
  * debian/patches/02_undo_gtk3_transition.diff:
  - undo gtk2->gtk3 migration since we do not yet have gtk+ 3 on Debian
  * debian/patches/03_fix_dconf_service_location.diff:
  - fix the path used to start dconf-service

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Tue, 13 Jul 2010 14:36:34 -0300

gnome-shell (2.31.2-1ubuntu2) maverick; urgency=low

  * No change upload to rebuild against new libgirepository soname

 -- Laurent Bigonville <bigon@ubuntu.com>  Sat, 14 Aug 2010 13:27:38 +0200

gnome-shell (2.31.2-1ubuntu1) maverick; urgency=low

  * debian/patches/02_workaround_libmozjs_build.patch:
    - workaround build issues due to libmozjs not being installed as a lib

 -- Sebastien Bacher <seb128@ubuntu.com>  Wed, 21 Jul 2010 17:35:48 +0200

gnome-shell (2.31.2-1) experimental; urgency=low

  * New upstream release
  - depends on mutter 2.31
  - includes debian/patches/02_gjs_build_fix.patch, so removing
  * debian/rules:
  - depends on clutter-1.0 >= 1.2.8

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 31 May 2010 11:03:29 -0300

gnome-shell (2.29.0-3) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/patches/02_gjs_build_fix.patch:
    - Backport upstream commit to fix the build with recent gjs.
  * debian/source/format,
    debian/patches/series,
    debian/rules:
    - Convert to source format 3.0 (quilt).
  * debian/rules:
    - Include gnome-get-source.mk.

 -- Josselin Mouette <joss@debian.org>  Tue, 27 Apr 2010 22:32:21 +0200

gnome-shell (2.29.0-2) unstable; urgency=low

  * debian/control:
  - really fix #572718 by bumping the version in mutter's gir package name

 -- Gustavo Noronha Silva <kov@debian.org>  Mon, 15 Mar 2010 17:33:24 -0300

gnome-shell (2.29.0-1) unstable; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/rules:
    - Don't install *.la.

  [ Gustavo Noronha Silva ]
  * New upstream development release.
  - should work with the newer mutter (Closes: #572718)

 -- Gustavo Noronha Silva <kov@debian.org>  Tue, 09 Mar 2010 18:11:05 -0300

gnome-shell (2.28.1~git20100129-1) unstable; urgency=low

  * New upstream snapshot.

 -- Gustavo Noronha Silva <kov@debian.org>  Fri, 29 Jan 2010 12:44:58 -0200

gnome-shell (2.28.1~git20091125-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 25 Nov 2009 19:06:40 -0200

gnome-shell (2.28.1~git20091117-1) unstable; urgency=low

  * New upstream snapshot
  * debian/patches/02_allow_non_uri_apps.diff:
  - dropped; applied upstream
  * debian/upstream.gitlog, debian/rules:
  - ship upstream's git log as upstream changelog (Closes: #556354)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Thu, 12 Nov 2009 12:02:52 -0200

gnome-shell (2.28.1~git20091112-1) unstable; urgency=low

  * New upstream snapshot

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 12 Nov 2009 10:43:05 -0200

gnome-shell (2.28.1~git20091028-2) unstable; urgency=low

  * debian/patches/01_favorite_apps.diff:
  - change the default favorite browser desktop file to be Epiphany's
    (Closes: #553054)
  * debian/control.in:
  - gnome-shell's startup script wants to run glxinfo to get information
    regarding the server's GLX support; thanks to alex bodnaru
    <alexbodn@012.net.il> for noticing this is needed
    (Closes: #553440)
  * debian/patches/02_allow_non_uri_apps.diff:
  - patch by Guido Günther <agx@sigxcpu.org> to drop the requirement that
    associated apps support URIs, for local files at least
    (Closes: #553618)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Mon, 09 Nov 2009 15:32:14 -0200

gnome-shell (2.28.1~git20091028-1) unstable; urgency=low

  * New upstream snapshot
  * debian/control:
  - bump Standards-Version to 3.8.3
  - python is a dependency, since the script that starts GNOME Shell
    is a python script
  - pkg-config is also a dependency (Closes: #552202)

 -- Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>  Wed, 28 Oct 2009 16:12:13 -0200

gnome-shell (2.28.1~git20091024-1) unstable; urgency=low


