## gnome-shell 3.0.1

=== debian/changelog ===
gnome-shell (3.0.1-1) experimental; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in:
    - Bump priority to optional

  [ Sjoerd Simons ]
  * New upstream release

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 14 May 2011 17:58:12 +0100

gnome-shell (3.0.0.2-1) experimental; urgency=low

  * Team upload.

  [ Frederic Peters ]
  * New upstream release (2.91.93).
  * debian/control.in:
    + added dependency on gnome-icon-theme-symbolic.
    + bumped gnome-shell dependency.
    + bumped gir1.2-freedesktop build-dep to 0.10.6, for a fix to
      cairo-1.0.typelib

  [ Raphaël Hertzog ]
  * New upstream release (3.0.0.2).
  * New patch 02_rpath-bluetooth-applet.patch by Rico Tzschichholz to
    add an RPATH so that the compilation doesn't fail when g-ir-scanner
    tries to analyze libgnome-shell.so linked against
    libgnome-bluetooth-applet.so.0 which is in a private directory.
  * Add a lintian override for the RPATH that we can't avoid.
  * Teach dpkg-shlibdeps how to find that private lib and add the
    corresponding dependency in debian/slibs.local.
  * Update and add a bunch of build-depends to match the latest configure
    requirements.
  * Add gir1.2-gnomebluetooth-1.0 and gir1.2-networkmanager-1.0 to Depends
    because they are needed to benefit from the improved UI associated to the
    respective status bar applet.

  [ Laurent Bigonville ]
  * debian/control.in: {Build-}Depends against gir1.2-mutter-3.0 instead of
    gir1.2-mutter-2.91

 -- Raphaël Hertzog <hertzog@debian.org>  Mon, 11 Apr 2011 21:03:31 +0000

gnome-shell (2.91.92-1) experimental; urgency=low

  * New upstream release.
  * debian/patches/, remove patches from upstream git:
    + 0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch
    + 05_use_dbus_for_shutdown_and_logout.patch
  * debian/control.in:
    + add build-dep on libtelepathy-logger-dev and gir1.2-telepathylogger-0.2.
    + bump build-dep on libxfixes-dev, it needs the one from experimental, for
      pointer barriers.

 -- Frederic Peters <fpeters@debian.org>  Thu, 24 Mar 2011 19:28:12 +0100

gnome-shell (2.91.91-2) experimental; urgency=low

  * debian/patches/04_gnome_session_quit.patch: remove, replaced by:
  * debian/patches/05_use_dbus_for_shutdown_and_logout.patch: use Session
    D-Bus interface for shutdown and logout. (from git) (closes: #618870)

 -- Frederic Peters <fpeters@debian.org>  Sat, 19 Mar 2011 13:10:02 +0100

gnome-shell (2.91.91-1) experimental; urgency=low

  * New upstream release.

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Depend on gsettings-desktop-schemas. Closes: #614945.
    + Depend on gir1.2-mutter-2.91. Closes: #615588.

  [ Frederic Peters ]
  * debian/control.in:
    + Don't depend on mutter, it now links against libmutter-wm0.
  * debian/patches/03_fix_dconf_service_location.patch: remove, no longer
    necessary now that gnome-shell is a real binary and doesn't try to arrange
    its own environment.
  * debian/patches/04_gnome_session_quit.patch: use gnome-session-save in
    fallback if gnome-session-quit doesn't work, so gnome-shell keeps working
    with older gnome-session versions.

  [ Emilio Pozuelo Monfort ]
  * d/p/0001-altTab-fix-incorrect-positioning-with-multiple-monit.patch:
    + Patch from upstream git, fix Alt+Tab with multiple monitors.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 16 Mar 2011 21:47:27 +0000

gnome-shell (2.91.90-1) experimental; urgency=low

  * New upstream release.
    + Build depend on libtelepathy-glib-dev for the updated Telepathy
      integration.
    + Build depend on libpolkit-agent-1-dev for the new authorization dialogs.
    + Build depend, and depend, on appropriate gir packages (polkit,
      telepathy, and upower).
    + Update build dep on libmutter-dev.
    + Update depends for new libgnomekbd gir package name.
    + Remove Recommends on xserver-xephyr.

 -- Frederic Peters <fpeters@debian.org>  Fri, 25 Feb 2011 12:23:23 +0100

gnome-shell (2.91.6-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Depend on gnome-control-center for My Account / System settings.

  [ Laurent Bigonville ]
  * New upstream release.
  * debian/control.in:
    - Bump build-dependencies
    - Add libecal1.2-dev, libedataserver1.2-dev and libedataserverui1.2-dev
      build-dependencies
    - Make mutter depends on libdconf0 | gsettings-backend instead of
      libdconf0 only

  [ Emilio Pozuelo Monfort ]
  * debian/control.in:
    + Update for the new gtk+ 3 package names.
    + Add missing dependency on gir1.2-gnomekbd-3.0.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sat, 19 Feb 2011 16:45:48 +0000

gnome-shell (2.91.5-1) experimental; urgency=low

  * New upstream release.
    + debian/patches/02_fix_build_with_latest_gtk.patch:
      - Removed, fixed upstream.
    + debian/patches/01_favorite_apps.patch:
      - Refreshed.
    + debian/control.in:
      - Updated build dependencies.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Wed, 12 Jan 2011 23:41:41 +0000

gnome-shell (2.91.3-2) experimental; urgency=low

  * debian/control.in:
    - Build depend on libdconf0 for dconf-service. Closes: #595598.

 -- Emilio Pozuelo Monfort <pochu@debian.org>  Sun, 19 Dec 2010 16:36:11 +0000

gnome-shell (2.91.3-1) experimental; urgency=low

  [ Emilio Pozuelo Monfort ]
  * New upstream release (Closes: #605098, CVE-2010-4000).
    - debian/control.in:
      + Updated dependencies and build dependencies.
    - debian/patches/02_undo_gtk3_transition.diff:
      + Removed, let's use GTK+3 from now on.
    - debian/patches/03_fix_dconf_service_location.diff:
      + Updated.
  * debian/control.in,
    debian/rules:
    - Remove hack to get the typelibs scanned. Pass the private
      directory to dh_girepository instead. Update the minimum
      build dependency on gobject-introspection accordingly.
  * debian/control.in:
    - Build depend on gir1.2 packages.

