=== debian/control ===
# This file is autogenerated. DO NOT EDIT!
# 
# Modifications should be made to debian/control.in instead.
# This file is regenerated automatically in the clean target.

Source: gnome-shell
Section: gnome
Priority: optional
Maintainer: Gustavo Noronha Silva <gustavo.noronha@collabora.co.uk>
Uploaders: Debian GNOME Maintainers <pkg-gnome-maintainers@lists.alioth.debian.org>, Emilio Pozuelo Monfort <pochu@debian.org>, Frederic Peters <fpeters@debian.org>, Sjoerd Simons <sjoerd@debian.org>
Build-Depends: cdbs,
               debhelper (>= 7),
               autotools-dev,
               gnome-pkg-tools (>= 0.11),
               intltool,
               libgjs-dev (>= 0.7.11),
               gvfs-backends,
               gobject-introspection (>= 0.10.1),
               gir1.2-atk-1.0 (>= 1.32),
               gir1.2-clutter-1.0 (>= 1.4),
               gir1.2-freedesktop (>= 0.10.6),
               gir1.2-glib-2.0 (>= 0.9),
               gir1.2-gtk-3.0,
               gir1.2-json-glib-1.0,
               gir1.2-mutter-3.0,
               gir1.2-polkit-1.0,
               gir1.2-telepathyglib-0.12,
               gir1.2-telepathylogger-0.2,
               gnome-bluetooth (>= 3.0.0),
               gsettings-desktop-schemas-dev (>= 0.1.7),
               libcroco3-dev (>= 0.6),
               libdbus-glib-1-dev,
               libgconf2-dev,
               libgirepository1.0-dev (>= 0.9),
               libglib2.0-dev (>= 2.25.9),
               libglib2.0-bin (>= 2.25.11),
               libgnome-bluetooth-dev (>= 3.0.0),
               libgnome-desktop-3-dev (>= 2.90.0),
               libgnome-menu-dev,
               libgstreamer0.10-dev (>= 0.10.16),
               libgtk-3-dev (>= 3.0.0),
               libnm-glib-dev (>= 0.8.995),
               libstartup-notification0-dev,
               libmutter-dev (>= 3.0.0),
               librsvg2-dev,
               libwnck-dev,
               libclutter-1.0-dev (>= 1.5.15),
               libxfixes-dev (>= 1:5.0),
               libxss-dev,
               libpulse-dev,
               libcanberra-dev,
               libecal1.2-dev (>= 2.32),
               libedataserver1.2-dev (>= 3.0.0),
               libedataserverui-3.0-dev (>= 3.0.0),
               libtelepathy-glib-dev (>= 0.13.12),
               libtelepathy-logger-dev (>= 0.2.4),
               libpolkit-agent-1-dev (>= 0.100)
Standards-Version: 3.9.1
Homepage: http://live.gnome.org/GnomeShell
Vcs-Svn: svn://svn.debian.org/svn/pkg-gnome/packages/unstable/gnome-shell
Vcs-Browser: http://svn.debian.org/viewsvn/pkg-gnome/packages/unstable/gnome-shell/

Package: gnome-shell
Architecture: any
Depends: ${gir:Depends},
         gjs (>= 0.7.11),
         ${shlibs:Depends},
         ${misc:Depends},
         libdconf0 | gsettings-backend,
         gnome-settings-daemon (>= 2.91.5.1),
         gnome-control-center (>= 2.91),
         gsettings-desktop-schemas (>= 0.1.7),
         gnome-icon-theme-symbolic (>= 2.91),
         gir1.2-gconf-2.0,
         gir1.2-gkbd-3.0,
         gir1.2-gnomebluetooth-1.0,
         gir1.2-mutter-3.0,
         gir1.2-networkmanager-1.0,
         gir1.2-polkit-1.0,
         gir1.2-upowerglib-1.0,
         gir1.2-telepathyglib-0.12,
         gir1.2-telepathylogger-0.2,
         python,
         pkg-config,
         mesa-utils
Description: graphical shell for the GNOME desktop
 The GNOME Shell redefines user interactions with the GNOME desktop.
 In particular, it offers new paradigms for launching applications,
 accessing documents, and organizing open windows in GNOME. Later, it
 will introduce a new applets eco-system and offer new solutions for
 other desktop features, such as notifications and contacts
 management. The GNOME Shell is intended to replace functions handled
 by the GNOME Panel and by the window manager in previous versions of
 GNOME. The GNOME Shell has rich visual effects enabled by new
 graphical technologies.
