## gnome-shell 3.0.2

=== debian/changelog ===
gnome-shell (3.0.2-1svn2build1) oneiric; urgency=low

  * No-change rebuild against latest libedataserverui-3.0-1.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Wed, 13 Jul 2011 13:07:17 +0300

gnome-shell (3.0.2-1svn2) oneiric; urgency=low

  * No-change rebuild against libgnome-desktop-3-2.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Sun, 26 Jun 2011 10:28:18 +0200

gnome-shell (3.0.2-1svn1) oneiric; urgency=low

  Upload current Debian packaging svn head. No Ubuntu specific delta, thus
  keeping version number auto-syncable.

  * debian/control.in, debian/rules: When building on Ubuntu, add a dependency
    to gnome-icon-theme-full.

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 24 Jun 2011 09:36:33 +0200

gnome-shell (3.0.2-1) experimental; urgency=low

  [ Rico Tzschichholz ]
  * New upstream release
  * debian/watch:
    - Look for bzip2 tarballs
  * debian/rules,debian/upstream.gitlog:
    - Drop upstream.gitlog which is outdated

  [ Josselin Mouette ]
  * Only recommend gnome-control-center.
  * Break gnome-control-center < 3. This time add the missing epoch.
    Closes: #628532.

  [ Sjoerd Simons ]
  * debian/rules: Fix misspelling of Recommends

 -- Sjoerd Simons <sjoerd@debian.org>  Tue, 31 May 2011 19:31:47 -0700
