=== debian/control ===
--- 
+++ 
@@ -68,9 +68,9 @@
          ${misc:Depends},
          libdconf0 | gsettings-backend,
          gnome-settings-daemon (>= 2.91.5.1),
-         gnome-control-center (>= 2.91),
          gsettings-desktop-schemas (>= 0.1.7),
          gnome-icon-theme-symbolic (>= 2.91),
+         ${icon-theme:Depends},
          gir1.2-gconf-2.0,
          gir1.2-gkbd-3.0,
          gir1.2-gnomebluetooth-1.0,
@@ -83,6 +83,8 @@
          python,
          pkg-config,
          mesa-utils
+Recommends: gnome-control-center
+Breaks: gnome-control-center (<< 1:3.0)
 Description: graphical shell for the GNOME desktop
  The GNOME Shell redefines user interactions with the GNOME desktop.
  In particular, it offers new paradigms for launching applications,
