## gnome-shell 3.2.0

=== debian/changelog ===
gnome-shell (3.2.0-0ubuntu1) oneiric; urgency=low

  * New upstream stable release.
    - Prevent the fallback on-screen keyboard from showing up while
      GNOME Shell is running.
    - Disable code to reposition windows around the on-screen keyboard;
      it wasn't finished or working properly.
    - Fix interaction between on-screen keyboard and notifications
    - Fix menu-sizing problems in right-to-left locales.
    - Update chat icons in the message tray when an avatar image changes
    - Fix problem with empty notification bubbles being left.
    - Fix problem with chat notifications bouncing when new messages come in.
    - Fix bug that was causing SIP calls to automatically be accepted in some
      circumstances.
    - Fix string that should have been marked translatable.
    - Fix a crash that could happen during CSS transitions.
    - Build fixes.
  * debian/control.in: Depend on caribou instead of gir-caribou-1.0
    (LP: #858109)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 28 Sep 2011 06:48:58 +0200

gnome-shell (3.1.92-0ubuntu1) oneiric; urgency=low

  [ Jeremy Bicha ]
  * New upstream release.
    - Adds browser plugin for installing, enabling, disabling, and
      uninstalling shell extensions. (Note that extensions.gnome.org
      isn't yet in operation.)
    - Lots of bugfixes
  * debian/control.in:
    - Depend on caribou libraries
    - Recommend gnome-session-fallback, needed when graphics support
      test fails (LP: #852950)
    - Bump minimum gjs dependency to 1.29.18 and minimum mutter 
      to 3.1.92
  * debian/patches/01_favorite_apps.patch: Updated
  * debian/patches/04_build-without-caribou.patch: Dropped

  [ Martin Pitt ]
  * debian/control.in: Add libjson-glib-dev build dependency as per
    configure.ac.

 -- Jeremy Bicha <jbicha@ubuntu.com>  Thu, 22 Sep 2011 08:50:45 +0200

gnome-shell (3.1.90.1-0ubuntu4) oneiric; urgency=low

  * debian/control.in
    - Depend on gir1.2-accountsservice-1.0 since if it's missing,
      Shell won't even run (LP: #845791)
    - Also depend on libgudev-1.0-dev

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2011 13:19:30 -0400

gnome-shell (3.1.90.1-0ubuntu3) oneiric; urgency=low

  * debian/control.in: Add Recommends: cups-pk-helper. This isn't necessary
    under Unity, as we show/use system-config-printer there, but in the GNOME
    session control-center shows the upstream printer applet. This is a
    workaround for oneiric to avoid adding cups-pk-helper to main and the
    default install after FF. (LP: #844864)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Fri, 09 Sep 2011 17:54:50 +0200

gnome-shell (3.1.90.1-0ubuntu2) oneiric; urgency=low

  * debian/control.in:
    - Build-depends on libgnome-menu-3-dev, libgnome-keyring-dev,
      libfolks-dev
    - Bumped minimum versions for gobject-introspection and 
      libtelepathy-glib-dev build-depends

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 09 Sep 2011 00:04:55 -0400

gnome-shell (3.1.90.1-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control: Bump build-depends on new mutter
  * debian/patches/01_favorite_apps.patch: Updated
  * debian/patches/03_remove-glx-dependency-on-armel.patch: Refreshed
  * debian/patches/04_build-without-caribou.patch
    - Build without caribou since Ubuntu uses onboard and our System 
      Settings doesn't support choosing a different screen keyboard yet

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 07 Sep 2011 09:09:05 +0200

gnome-shell (3.1.4-0ubuntu2) oneiric; urgency=low

  * debian/patches/02_rpath-bluetooth-applet.patch:
    - Drop, it isn't needed with libgnome-bluetooth-dev (>= 3.1.0)
  * debian/patches/03_remove-glx-dependency-on-armel.patch:
    - Remove GLX dependency on armel
  * debian/control.in:
    - Drop Build-dep on mesa-common-dev [armel]

 -- Rico Tzschichholz <ricotz@ubuntu.com>  Fri, 26 Aug 2011 08:49:11 +0200

gnome-shell (3.1.4-0ubuntu1) oneiric; urgency=low

  * New upstream release.
  * debian/control:
    - Build-depends on mesa-common-dev [armel]
    - Depend on gir1.2-soup-2.4
    - Bump libclutter, libgirepository, libgnome-bluetooth and libnm-glib
      minimum versions
    - Drop some redundant dependencies
  * debian/patches/01_favorite_apps.patch: Updated
  * debian/patches/03_power_dbus_name_change.patch: Dropped, upstream

 -- Jeremy Bicha <jbicha@ubuntu.com>  Fri, 26 Aug 2011 02:46:22 +0200

gnome-shell (3.1.3-0ubuntu4) oneiric; urgency=low

  * debian/control.in
    - Bump build-depends on libgjs-dev & libtelepathy-glib-dev
    - Recommend gnome-themes-standard (for Adwaita)

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 16 Aug 2011 23:24:00 -0400

gnome-shell (3.1.3-0ubuntu3) oneiric; urgency=low

  * debian/control.in: Add recommends to gnome-user-guide, so that installing
    Shell also pulls in the corresponding help. (LP: #819158)

 -- Martin Pitt <martin.pitt@ubuntu.com>  Tue, 16 Aug 2011 10:26:20 +0200

gnome-shell (3.1.3-0ubuntu2) oneiric; urgency=low

  * debian/patches/03_power_dbus_name_change.patch: Backport upstream
    commit to fix the disappearing power indicator.

 -- Bilal Akhtar <bilalakhtar@ubuntu.com>  Thu, 11 Aug 2011 14:20:10 +0300

gnome-shell (3.1.3-0ubuntu1) oneiric; urgency=low

  * New upstream release
  * debian/control.in:
    - Update dependency versions

 -- Michael Terry <mterry@ubuntu.com>  Wed, 20 Jul 2011 14:46:28 -0400

gnome-shell (3.0.2-1ubuntu1) oneiric; urgency=low

  * debian/control{,.in}: Change gir1.2-json-glib-1.0 build-dep to 
    gir1.2-json-1.0 to reflect the binary rename in json-glib 
    0.13.4-2

 -- Micah Gersten <micahg@ubuntu.com>  Thu, 14 Jul 2011 08:59:59 -0500
