## gnome-shell 3.2.1

=== debian/changelog ===
gnome-shell (3.2.1-8ubuntu1) precise; urgency=low

  * Sync with Debian (LP: #877135). Remaining changes:
  * debian/control.in: Recommend gnome-user-guide
  * debian/gnome-shell.gsettings-override: Update for Ubuntu defaults
  * Watch for unstable releases

 -- Jeremy Bicha <jbicha@ubuntu.com>  Tue, 20 Dec 2011 02:25:09 -0500

gnome-shell (3.2.1-8) unstable; urgency=low

  [ Laurent Bigonville ]
  * debian/control.in: Add Depends on telepathy-mission-control-5
    (Closes: #651514)

  [ Michael Biebl ]
  * Upload to unstable.

 -- Michael Biebl <biebl@debian.org>  Sat, 17 Dec 2011 06:34:55 +0100

gnome-shell (3.2.1-7) experimental; urgency=low

  * Fix version in Breaks/Replaces. Closes: #650927

 -- Michael Biebl <biebl@debian.org>  Sun, 04 Dec 2011 21:19:25 +0100

gnome-shell (3.2.1-6) experimental; urgency=low

  [ Raphaël Hertzog ]
  * Add Breaks against gnome-tweak-tool (<< 3.2) to force its upgrade to a
    version that works with GNOME 3.2.

  [ Josselin Mouette ]
  * Split common files and translations in gnome-shell-common. Add 
    appropriate Breaks/Replaces.

  [ Michael Biebl ]
  * debian/watch:
    - Track stable releases.
  * debian/patches/09-respect-NoDisplay-semantics-for-app-menu.patch:
    - Respect NoDisplay semantics for applications menu. This avoids duplicate
      menu entries when menu-xdg is installed. Closes: #649559

 -- Michael Biebl <biebl@debian.org>  Sat, 03 Dec 2011 17:23:39 +0100

gnome-shell (3.2.1-5) experimental; urgency=low

  * debian/patches/06-polkit-Find-the-best-user-to-authenticate-as.patch:
    + Added. When picking a user to authenticate with, try the current user
      first, then root and if all else fails the first user that is allowed to
      authenticate. (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:28:42 +0000

gnome-shell (3.2.1-4) experimental; urgency=low

  * 05-NetworkMenu-don-t-query-DBus-properties-of-removed-o.patch:
    + Added. Don't (potentially) ask NM over D-Bus about an access point that
      was just removed. (From upstream git). As a side-effect this fixes
      gnome-shell freezing a while after unblacking.
  * 06-NetworkMenu-fix-regression-in-access-point-removed.patch
    + Added. Fix a regression in above patch (from upstream git)
  * 07-NetworkMenu-fix-logic-for-updating-wifi-icon.patch
    + Added. Fix the logic for connecting to the current wifi strength,
      prevents the network icon fro mbecoming stale (from upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Nov 2011 15:28:19 +0000

gnome-shell (3.2.1-3) experimental; urgency=low

  [ Josselin Mouette ]
  * Break fglrx-driver (<< 1:11-10). Closes: #648280.

  [ Sjoerd Simons ]
  * debian/control.in: Recommend gnome-contacts
  * debian/control.in: Update build-depends on the e-d-s libs to ensure we
    build against the same version as the libfolks e-d-s backend.

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 13 Nov 2011 16:40:12 +0100

gnome-shell (3.2.1-2) experimental; urgency=low

  * debian/control.in:
    - Tighten Depends on gir1.2-mutter-3.0 and gir1.2-glib-2.0.
      Closes: #646999
    - Drop Build-Depends on libgnome-menu-dev.

 -- Michael Biebl <biebl@debian.org>  Sat, 05 Nov 2011 21:35:14 +0100

gnome-shell (3.2.1-1) experimental; urgency=low

  [ Sjoerd Simons ]
  * New upstream release
  * debian/patches/00git-ShellRecorder-Use-cogl_read_pixels.patch:
    + Dropped, fixed upstream
  * debian/patches/03_hidden_applications.patch
    + Dropped, fixed upstream
  * debian/control.in: Add libfolks-dev build-depends
  * debian/control.in: Add depends on gir1.2-accountsservice-1.0 and
    gir1.2-caribou-1.0,

  [ Jeremy Bicha ]
  * debian/control.in:
    - Recommend gnome-session-fallback
    - Bump minimum gjs & gobject-introspection versions
    - Add gir1.2-soup-2.4 dependency

  [ Sjoerd Simons ]
  * debian/gnome-shell.lintian-overrides:
    + Updated (from Ubuntu). gnome-shell needs an rpath to find the private
      bluetooth lib

 -- Sjoerd Simons <sjoerd@debian.org>  Fri, 28 Oct 2011 22:20:04 +0200

gnome-shell (3.0.2-8) unstable; urgency=low

  * debian/patches/05_fix_glib_2.30_compat.patch:
    + Updated. Small mistake in the patch causes gnome-shell to fail to load
      the dim window shared, instead of which it just hangs. Fixed now..
      (Closes: 649459)

 -- Sjoerd Simons <sjoerd@debian.org>  Mon, 21 Nov 2011 15:19:48 +0000

gnome-shell (3.0.2-7) unstable; urgency=low

  * debian/patches/06-polkit-Find-the-best-user-to-authenticate-as.patch:
    + Added. When picking a user to authenticate with, try the current user
    first, then root and if all else fails the first user that is allowed to
    authenticate. (from upstream git)
  * debian/patches/07-Add-some-element-type-annotations-to-appease-g-i-mas.patch:
    + Added. Add annotation to prevent warnings from new g-i (from upstream
      git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sun, 20 Nov 2011 22:04:39 +0000

gnome-shell (3.0.2-6) unstable; urgency=low

  * debian/patches/05_fix_glib_2.30_compat.patch:
    + Added. Fix compatibility with glib 2.30, which broke some things due to
      GI annotation changes. (From upstream git)

 -- Sjoerd Simons <sjoerd@debian.org>  Sat, 19 Nov 2011 15:04:45 +0000

gnome-shell (3.0.2-5) unstable; urgency=low

  [ Michael Biebl ]
  * debian/rules:
    - Make network-manager and gnome-bluetooth (build) dependencies linux-any.

  [ Rico Tzschichholz ]
  * Add 00git-ShellRecorder-Use-cogl_read_pixels.patch to fix FTBFS on arm

 -- Michael Biebl <biebl@debian.org>  Fri, 14 Oct 2011 17:22:55 +0200

gnome-shell (3.0.2-4) unstable; urgency=low

  [ Josselin Mouette ]
  * Break gnome-session < 3.

  [ Rico Tzschichholz ]
  * Add 04_remove-glx-dependency-on-armel.patch to fix FTBFS on arm

  [ Michael Biebl ]
  * Upload to unstable.
  * debian/watch: Switch to .xz tarballs.
  * debian/control.in:
    - Set pkg-gnome-maintainers@lists.alioth.debian.org as Maintainer.

